Bug 478359 - Review Request: ethstatus - Console-based ethernet statistics monitor
Review Request: ethstatus - Console-based ethernet statistics monitor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-28 17:26 EST by Fabian Affolter
Modified: 2014-09-29 07:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 21:43:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-28 17:26:07 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/ethstatus.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/ethstatus-0.4.3-1.fc9.src.rpm

Description:
EthStatus is a simple, easy to use program for displaying commonly 
needed / wanted statistics in real time about ingoing and outgoing
traffic that is usually hard to find, with a simple, efficient
interface.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1024042

rpmlint output:
[fab@laptop024 i386]$ rpmlint ethstatus*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint ethstatus-0.4.3-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Parag AN(पराग) 2008-12-29 00:52:23 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1024302
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
088412ddff67f50e32bc9d45e56b2658  ethstatus_0.4.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 2 Fabian Affolter 2008-12-29 03:44:43 EST
New Package CVS Request
=======================
Package Name: ethstatus
Short Description: Console-based ethernet statistics monitor
Owners: fab
Branches: F-9 F-10 EL-5
InitialCC:
Comment 3 Kevin Fenzi 2008-12-31 00:51:42 EST
cvs done.
Comment 4 Fabian Affolter 2008-12-31 05:25:09 EST
Thank you guys for your work and a happy new year.
Comment 5 Fedora Update System 2008-12-31 05:42:56 EST
ethstatus-0.4.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ethstatus-0.4.3-1.fc9
Comment 6 Fedora Update System 2008-12-31 05:42:59 EST
ethstatus-0.4.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ethstatus-0.4.3-1.fc10
Comment 7 Fedora Update System 2009-01-07 04:31:45 EST
ethstatus-0.4.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ethstatus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0201
Comment 8 Fedora Update System 2009-01-07 04:33:26 EST
ethstatus-0.4.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update ethstatus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0215
Comment 9 Fedora Update System 2009-01-23 21:43:24 EST
ethstatus-0.4.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-01-23 21:43:36 EST
ethstatus-0.4.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fabian Affolter 2014-09-27 08:11:48 EDT
Package Change Request
======================
Package Name: ethstatus
New Branches: epel7
Owners: fab
InitialCC:
Comment 12 Gwyn Ciesla 2014-09-29 07:56:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.